/**
 * @author Martino Coffey
 * usiamo gerachia di factory per ottenere i diversi metodi, così da poter spittare il contenuto generato su più file
 * solo se necessario, fornendo cosìì anche un ulteriore livello di naming oltre a quello del metodo(la factory a cui appartiene)
 * con factory parent che si occupa del net --> netRequest(url param)
 */
var mod_dep = angular.module('mod_dep',[]);
mod_dep.factory('queryFactory', function($http) {

    var factory = {};
    console.log("factory loaded");
    
     function netRequest(id_array) {
        return "this is a response string from tework request";
       $http.get('/network_address').success(function(data, status, headers, config){
           return "this is a response string from tework request";
        })
        .error(function(data,status, headers, config){
           return "this is an error response from network request";
        });

    }

    factory.readProducts = function($id_array, $callback) {
        console.log("factory read");
        $response = netRequest($id_array);
        return $callback($response);
    };


    return factory; //for use we need to know his name
}); 

/*
 * module.factory('ParentService', function ($q, $http) {
  return {
    //public API
  };
});

module.factory('ChildService', function (ParentService, $sce) {
  var child = Object.create(ParentService);
  child.childMethod = function () {
    //extending the parent
  };
  return child;
});
 * /
 */