<?php
$base_dir = './';
    class Database
{
    protected static $instance = null;
    protected static $parse = null;

    //protected static function __construct() { }
    
    private static function init($file = __DIR__ . '/setting.ini') {

        if (!self::$parse = parse_ini_file($file, TRUE))
            throw new exception('Unable to open ' . $file . '.');
    }

    public static function instance() //static __construct()??
    {
        
        if(self::$parse === null){
                    self::init();
                }
        
        
        if (self::$instance === null)
        {
         
 
       
        $user = self::$parse ["credential_section"][ "db_user" ] ;
        $password = self::$parse ["credential_section"][ "db_password" ] ;
        $options = self::$parse [ "db_options" ] ;
        $dsn_parse = self::$parse["dsn_section"];
        $dsn = self::$parse ["credential_section"][ "db_driver" ].':dbname='.$dsn_parse['dbname'].';host='.$dsn_parse['host'];
        //'mysql:dbname=testdb;host=127.0.0.1'
       // echo "from file:";
       // echo json_encode(self::$parse);
      

        self :: $instance = new PDO ( $dsn, $user, $password, $options ) ;
        }
        return self::$instance;
    }

    public static function __callStatic($method, $args)
    {
        return call_user_func_array(array(self::instance(), $method), $args);
    }

    public static function run($sql,$args = [])
    {
       
        $stmt = self::instance()->prepare($sql);
        $stmt->execute($args);
        $results = $stmt->fetchAll();
        //echo "FETCHED ALL !!!!";
        if(empty($results))
            return $stmt;
        else
            return $results;
            
            
            
    }
}



?>